(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     60447,       1561]
NotebookOptionsPosition[     58261,       1486]
NotebookOutlinePosition[     58639,       1502]
CellTagsIndexPosition[     58596,       1499]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Problem Set 2", "Title",
 CellChangeTimes->{{3.703485982221595*^9, 3.703485986225402*^9}}],

Cell[CellGroupData[{

Cell["The grid", "Subsection",
 CellChangeTimes->{{3.70447774297769*^9, 3.7044777438518667`*^9}}],

Cell["\<\
Here\[CloseCurlyQuote]s a possible choice for the grid\
\>", "Text",
 CellChangeTimes->{{3.7044777449285393`*^9, 3.7044777484850254`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nmax", "=", "5"}], ";", 
  RowBox[{"prec", "=", "30"}], ";", 
  RowBox[{"LMax", "=", "10"}], ";", 
  RowBox[{"step", "=", 
   RowBox[{"1", "/", "20"}]}], ";", 
  RowBox[{"DMax", "=", "40"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Zgrid", "=", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{"r", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]]}]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{"r", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]]}]}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", 
         FractionBox["1", "nmax"], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          SuperscriptBox["10", 
           RowBox[{"-", "9"}]]}], ",", 
         FractionBox["1", "nmax"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Phi]", ",", "0", ",", 
         RowBox[{"\[Pi]", "-", 
          SuperscriptBox["10", 
           RowBox[{"-", "9"}]]}], ",", 
         FractionBox["\[Pi]", "nmax"]}], "}"}]}], "]"}], "//", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Zgrid2", "=", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "+", 
           RowBox[{"\[ImaginaryI]", " ", "i"}]}], ",", 
          RowBox[{"r", "-", 
           RowBox[{"\[ImaginaryI]", " ", "i"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           FractionBox["1", "nmax"]}], ",", 
          RowBox[{"1", "-", 
           SuperscriptBox["10", 
            RowBox[{"-", "9"}]]}], ",", 
          FractionBox["1", "nmax"]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", 
          RowBox[{"1", "-", 
           SuperscriptBox["10", 
            RowBox[{"-", "9"}]]}], ",", 
          FractionBox["1", "nmax"]}], "}"}]}], "]"}], "//", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dgrid", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[CapitalDelta]", ",", "L"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"L", ",", "0", ",", "LMax", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[CapitalDelta]", ",", 
        RowBox[{"L", "+", 
         SuperscriptBox["10", 
          RowBox[{"-", "3"}]]}], ",", "DMax", ",", "step"}], "}"}]}], "]"}], "//", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7035180802694683`*^9, 3.7035180821048565`*^9}, {
   3.7035185196630583`*^9, 3.7035186097683535`*^9}, {3.703518762563921*^9, 
   3.7035187648630495`*^9}, {3.703519350570327*^9, 3.703519352811423*^9}, {
   3.703520370626116*^9, 3.7035203757313995`*^9}, {3.7035205167300367`*^9, 
   3.703520519086255*^9}, {3.703521290150762*^9, 3.7035212953512416`*^9}, {
   3.703522016474374*^9, 3.7035220223816695`*^9}, {3.7035226895841084`*^9, 
   3.7035227778377657`*^9}, {3.7035234816822186`*^9, 3.703523482740777*^9}, {
   3.7035236135308743`*^9, 3.703523687382408*^9}, {3.703523745790533*^9, 
   3.703523748509062*^9}, {3.703523900093073*^9, 3.7035239001761327`*^9}, {
   3.703523999811685*^9, 3.703524003257128*^9}, {3.703524042514825*^9, 
   3.703524055358858*^9}, {3.7035241550534754`*^9, 3.703524173390585*^9}, {
   3.703524911440137*^9, 3.7035249183065357`*^9}, 3.7035250333516793`*^9, {
   3.703525947864654*^9, 3.7035259863798857`*^9}, {3.7035274071277285`*^9, 
   3.7035274158399267`*^9}, {3.7035280391189632`*^9, 
   3.7035281085029087`*^9}, {3.703528179492712*^9, 3.7035281958610287`*^9}, {
   3.703528819634641*^9, 3.7035288228417377`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Re", "[", 
       RowBox[{"Zgrid", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}], ",", 
      RowBox[{"Im", "[", 
       RowBox[{"Zgrid", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], "//", 
    "Transpose"}], "//", 
   RowBox[{
    RowBox[{"ListPlot", "[", 
     RowBox[{"#", ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "3"}], ",", 
           RowBox[{"1", "/", "2"}]}], "}"}]}], "}"}]}]}], "]"}], "&"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.7035240045002074`*^9, 3.703524087289709*^9}, {
  3.703524195876689*^9, 3.703524234993764*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     PointBox[{{0.7, 0.}, {0.6618033988749895, 0.11755705045849463`}, {
      0.5618033988749895, 0.1902113032590307}, {0.4381966011250105, 
      0.19021130325903074`}, {0.3381966011250105, 0.11755705045849466`}, {0.9,
       0.}, {0.823606797749979, 0.23511410091698925`}, {0.623606797749979, 
      0.3804226065180614}, {0.37639320225002104`, 0.3804226065180615}, {
      0.17639320225002103`, 0.2351141009169893}}]}, {}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->NCache[{{0, 1}, {
      Rational[-1, 3], 
      Rational[1, 2]}}, {{0, 1}, {-0.3333333333333333, 0.5}}],
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.7035240093963976`*^9, 3.7035240219083085`*^9}, {
   3.7035240585644236`*^9, 3.7035240876439743`*^9}, {3.7035241965997777`*^9, 
   3.7035242353357143`*^9}, 3.7035259988111663`*^9, 3.7044778080922747`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Blocks", "Subsection",
 CellChangeTimes->{{3.703486038182991*^9, 3.703486040084204*^9}}],

Cell["\<\
Here is some code evaluating the blocks and the F functions on a grid\
\>", "Text",
 CellChangeTimes->{{3.7044777622363153`*^9, 3.7044777876867757`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "k", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Rho]", "[", "z_", "]"}], ":=", 
   FractionBox["z", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SqrtBox[
        RowBox[{"1", "-", "z"}]]}], ")"}], "2"]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"k", "[", 
     RowBox[{"\[Beta]_", ",", "a_", ",", "b_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"k", "[", 
      RowBox[{"\[Beta]", ",", "a", ",", "b", ",", "z"}], "]"}], "=", 
     RowBox[{
      SuperscriptBox["z", 
       RowBox[{"\[Beta]", "/", "2"}]], 
      RowBox[{"Hypergeometric2F1", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Beta]", "-", "a"}], ")"}], "/", "2"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Beta]", "+", "b"}], ")"}], "/", "2"}], ",", "\[Beta]", 
        ",", "z"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"kS", "[", 
      RowBox[{"\[Beta]_", ",", "a_", ",", "b_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"\[Rho]", "[", "z", "]"}], 
       RowBox[{"\[Beta]", "/", "2"}]], 
      RowBox[{"Hypergeometric2F1", "[", 
       RowBox[{
        FractionBox[
         RowBox[{"\[Beta]", "+", "b"}], "2"], ",", 
        RowBox[{
         FractionBox["b", "2"], "+", 
         FractionBox["1", "2"]}], ",", 
        FractionBox[
         RowBox[{"\[Beta]", "+", "1"}], "2"], ",", 
        SuperscriptBox[
         RowBox[{"\[Rho]", "[", "z", "]"}], "2"]}], "]"}]}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"G2D", "[", 
    RowBox[{
    "\[CapitalDelta]_", ",", "l_", ",", "a_", ",", "b_", ",", "z_", ",", 
     "x_"}], "]"}], ":=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"k", "[", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "+", "l"}], ",", "a", ",", "b", ",", 
         "z"}], "]"}], 
       RowBox[{"k", "[", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "-", "l"}], ",", "a", ",", "b", ",", 
         "x"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"k", "[", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "+", "l"}], ",", "a", ",", "b", ",", 
         "x"}], "]"}], 
       RowBox[{"k", "[", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "-", "l"}], ",", "a", ",", "b", ",", 
         "z"}], "]"}]}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"F", "[", 
    RowBox[{"a_", ",", "\[CapitalDelta]_", ",", "l_", ",", "z_", ",", "zb_"}],
     "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"G2D", "[", 
      RowBox[{
      "\[CapitalDelta]", ",", "l", ",", "0", ",", "0", ",", "z", ",", "zb"}], 
      "]"}], 
     RowBox[{
      SuperscriptBox["z", "a"], 
      SuperscriptBox["zb", "a"]}]], "-", 
    FractionBox[
     RowBox[{"G2D", "[", 
      RowBox[{"\[CapitalDelta]", ",", "l", ",", "0", ",", "0", ",", 
       RowBox[{"1", "-", "z"}], ",", 
       RowBox[{"1", "-", "zb"}]}], "]"}], 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "z"}], ")"}], "a"], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "zb"}], ")"}], "a"]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BlVec", "[", 
    RowBox[{"\[CapitalDelta]_", ",", "l_", ",", "Zgrid_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"BlVec", "[", 
     RowBox[{"\[CapitalDelta]", ",", "l", ",", "Zgrid"}], "]"}], "=", 
    RowBox[{"Re", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"SetPrecision", "[", 
        RowBox[{
         RowBox[{"G2D", "[", 
          RowBox[{"\[CapitalDelta]", ",", "l", ",", "0", ",", "0", ",", 
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", 
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
         "MachinePrecision"}], "]"}], "&"}], "/@", "Zgrid"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CBlVec", "[", 
    RowBox[{"\[CapitalDelta]_", ",", "l_", ",", "Zgrid_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"CBlVec", "[", 
     RowBox[{"\[CapitalDelta]", ",", "l", ",", "Zgrid"}], "]"}], "=", 
    RowBox[{"Re", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"SetPrecision", "[", 
        RowBox[{
         RowBox[{"G2D", "[", 
          RowBox[{"\[CapitalDelta]", ",", "l", ",", "0", ",", "0", ",", 
           RowBox[{"1", "-", 
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"1", "-", 
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", 
         "MachinePrecision"}], "]"}], "&"}], "/@", "Zgrid"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"FVec", "[", 
     RowBox[{"a_", ",", "\[CapitalDelta]_", ",", "l_", ",", "Zgrid_"}], "]"}],
     ":=", 
    RowBox[{
     RowBox[{"CBlVec", "[", 
      RowBox[{"\[CapitalDelta]", ",", "l", ",", "Zgrid"}], "]"}], "=", 
     RowBox[{"Re", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"SetPrecision", "[", 
         RowBox[{
          RowBox[{"F", "[", 
           RowBox[{"a", ",", "\[CapitalDelta]", ",", "l", ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
          "MachinePrecision"}], "]"}], "&"}], "/@", "Zgrid"}], "]"}]}]}], 
   ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"G2DS", "[", 
      RowBox[{
      "\[CapitalDelta]_", ",", "l_", ",", "a_", ",", "b_", ",", "z_", ",", 
       "x_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"kS", "[", 
          RowBox[{
           RowBox[{"\[CapitalDelta]", "+", "l"}], ",", "a", ",", "b", ",", 
           "z"}], "]"}], 
         RowBox[{"kS", "[", 
          RowBox[{
           RowBox[{"\[CapitalDelta]", "-", "l"}], ",", "a", ",", "b", ",", 
           "x"}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"kS", "[", 
          RowBox[{
           RowBox[{"\[CapitalDelta]", "+", "l"}], ",", "a", ",", "b", ",", 
           "x"}], "]"}], 
         RowBox[{"kS", "[", 
          RowBox[{
           RowBox[{"\[CapitalDelta]", "-", "l"}], ",", "a", ",", "b", ",", 
           "z"}], "]"}]}]}], ")"}]}]}], ";"}], 
   "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.703517034713131*^9, 3.7035170384518824`*^9}, {
  3.703517084914826*^9, 3.7035171547047124`*^9}, {3.70351741605865*^9, 
  3.7035174218113637`*^9}, {3.7035174573909836`*^9, 3.703517486686427*^9}, {
  3.703518044876348*^9, 3.7035180778377824`*^9}, {3.703518515165865*^9, 
  3.7035185157831154`*^9}, {3.703519065545322*^9, 3.703519070617145*^9}, {
  3.7035209570272293`*^9, 3.703521004294413*^9}, {3.703526226479041*^9, 
  3.7035262372249765`*^9}, {3.7035266407320204`*^9, 3.703526708165037*^9}, {
  3.7035282560986385`*^9, 3.703528277649824*^9}, {3.7035283273780437`*^9, 
  3.703528330659765*^9}}],

Cell["Example:", "Text",
 CellChangeTimes->{{3.7044777954013696`*^9, 3.7044777963105545`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FVec", "[", 
  RowBox[{
   RowBox[{"1", "/", "2"}], ",", "4", ",", "2", ",", "Zgrid"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7044777974221725`*^9, 3.7044778042851677`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2.799788407583566`", ",", "1.54327632518822`", ",", "0.329354829820638`", 
   ",", 
   RowBox[{"-", "0.3293548298204883`"}], ",", 
   RowBox[{"-", "1.5432763251882347`"}], ",", "26.212702752976956`", ",", 
   "2.2137983533817223`", ",", 
   RowBox[{"-", "0.13117272786853393`"}], ",", "0.13117272786862175`", ",", 
   RowBox[{"-", "2.2137983533814745`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.704477811253873*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Tables", "Subsection",
 CellChangeTimes->{{3.703497538186728*^9, 3.70349754030272*^9}, {
   3.7034985970707216`*^9, 3.7034986020088406`*^9}, 3.7035187885347233`*^9, 
   3.703520429466942*^9, 3.703520880331843*^9}],

Cell["\<\
The following is a piece of code that generates a table of conformal blocks \
in the direct and crossed channels (prefix C) on some grid.\
\>", "Text",
 CellChangeTimes->{{3.7044778349276295`*^9, 3.704477863934692*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"MakeTables", "[", 
     RowBox[{"Zgrid_", ",", "Dgrid_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "BlockTable", ",", "\[CapitalDelta]", ",", "inds", ",", "i", ",", "L", 
        ",", "CBlockTable"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"BlockTable", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"CBlockTable", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"inds", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"AppendTo", "[", 
           RowBox[{"BlockTable", ",", 
            RowBox[{"{", 
             RowBox[{"d", ",", 
              RowBox[{"BlVec", "[", 
               RowBox[{
                RowBox[{"d", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"d", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], ",", "Zgrid"}], "]"}]}], 
             "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"CBlockTable", ",", 
            RowBox[{"{", 
             RowBox[{"d", ",", 
              RowBox[{"CBlVec", "[", 
               RowBox[{
                RowBox[{"d", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"d", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], ",", "Zgrid"}], "]"}]}], 
             "}"}]}], "]"}], ";"}], ",", 
         RowBox[{"{", 
          RowBox[{"d", ",", "Dgrid"}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"BlockTable", ",", "CBlockTable"}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.7034978793775244`*^9, 3.703498053815751*^9}, {
   3.703498180072021*^9, 3.703498198235589*^9}, {3.7034984462746143`*^9, 
   3.7034984498655896`*^9}, {3.703498538971068*^9, 3.703498546590243*^9}, {
   3.703498846280447*^9, 3.7034988464768248`*^9}, {3.703498896568473*^9, 
   3.703498920743477*^9}, {3.703501540086322*^9, 3.7035015402275352`*^9}, {
   3.7035181107999706`*^9, 3.7035181983239317`*^9}, {3.7035186298840475`*^9, 
   3.7035187400597944`*^9}, {3.703519084100727*^9, 3.7035190923672047`*^9}, 
   3.703519148741397*^9, {3.7035193389441166`*^9, 3.7035193412923994`*^9}, {
   3.7035205770406895`*^9, 3.703520578920286*^9}, {3.7035208889057755`*^9, 
   3.7035209444993973`*^9}, {3.703521025100809*^9, 3.70352128104608*^9}, {
   3.7035213730780272`*^9, 3.703521403114596*^9}, {3.703521463718311*^9, 
   3.703521465819459*^9}, {3.70352150623804*^9, 3.703521544704003*^9}, 
   3.703521613862301*^9, {3.7035222469587116`*^9, 3.7035222716341476`*^9}, {
   3.7035266138547893`*^9, 3.7035266168799987`*^9}, {3.7044778675051117`*^9, 
   3.7044778701420627`*^9}}],

Cell[TextData[{
 "...whereas this function receive tables made with the previous code and ",
 StyleBox["convolves them",
  FontSlant->"Italic"],
 " to take care of the ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"z", " ", "zb"}], ")"}], "a"]], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " factors in the crossing sum rule"
}], "Text",
 CellChangeTimes->{{3.704477874266011*^9, 3.7044779137832456`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ConvolveTable", "[", 
     RowBox[{"a_", ",", "Zgrid_", ",", "Dgrid_", ",", "Tables_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "FTable", ",", "z", ",", "zb", ",", "i", ",", "zzb", ",", "Czzb"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"FTable", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"zzb", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             SuperscriptBox["z", "a"], " ", 
             SuperscriptBox["zb", "a"]}], "/.", 
            RowBox[{"z", "\[Rule]", 
             RowBox[{"Z", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], "/.", 
           RowBox[{"zb", "\[Rule]", 
            RowBox[{"Z", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"Z", ",", "Zgrid"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Czzb", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", "z"}], ")"}], "a"], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", "zb"}], ")"}], "a"]}], "/.", 
            RowBox[{"z", "\[Rule]", 
             RowBox[{"Z", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], "/.", 
           RowBox[{"zb", "\[Rule]", 
            RowBox[{"Z", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"Z", ",", "Zgrid"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"AppendTo", "[", 
           RowBox[{"FTable", ",", 
            RowBox[{"{", 
             RowBox[{"d", ",", 
              RowBox[{"Re", "[", 
               RowBox[{"SetPrecision", "[", 
                RowBox[{
                 RowBox[{
                  FractionBox[
                   RowBox[{"Tables", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "i", ",", "2"}], "]"}], "]"}], "zzb"], 
                  "-", 
                  FractionBox[
                   RowBox[{"Tables", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "i", ",", "2"}], "]"}], "]"}], 
                   "Czzb"]}], ",", "prec"}], "]"}], "]"}]}], "}"}]}], "]"}], 
          ";", 
          RowBox[{"i", "++"}], ";"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"d", ",", "Dgrid"}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", "FTable"}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7035213467423916`*^9, 3.7035213571182346`*^9}, {
   3.703521828752358*^9, 3.703521859424981*^9}, 3.7035219171251984`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Find Functional", "Subsection",
 CellChangeTimes->{{3.703498609792074*^9, 3.70349861361097*^9}, {
  3.703520431916574*^9, 3.703520432959769*^9}}],

Cell["\<\
Here is a function that checks if a given grid is ruled out or not\
\>", "Text",
 CellChangeTimes->{{3.703498663678811*^9, 3.703498665433565*^9}, {
  3.7044779232780285`*^9, 3.704477940960752*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Table", " ", "should", " ", "be", " ", "convolved"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"CheckFunctional", "[", 
      RowBox[{"a_", ",", "gap_", ",", "table_", ",", "Zgrid_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "RedTable", ",", "RedTable2", ",", "RedTable3", ",", "FullTable", ",",
          "eps", ",", "comps", ",", "costvec", ",", "func", ",", "bvec", ",", 
         "BlockTable", ",", "inds"}], "}"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"eps", "=", 
         SuperscriptBox["10", 
          RowBox[{"-", "7"}]]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"RedTable", "=", 
         RowBox[{
          RowBox[{"Select", "[", 
           RowBox[{"table", ",", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}], ">", "gap"}], "||", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "2"}], "]"}], "]"}], ">", "0"}]}], "&"}]}],
            "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"remove", " ", "operators", " ", "above", " ", "gap"}], 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"RedTable2", "=", 
         RowBox[{"Prepend", "[", 
          RowBox[{"RedTable", ",", 
           RowBox[{"FVec", "[", 
            RowBox[{"a", ",", "gap", ",", "0", ",", "Zgrid"}], "]"}]}], 
          "]"}]}], ";", 
        RowBox[{"(*", 
         RowBox[{
         "add", " ", "an", " ", "operator", " ", "at", " ", "precisely", " ", 
          "the", " ", "gap"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"RedTable3", "=", 
         RowBox[{"Prepend", "[", 
          RowBox[{"RedTable2", ",", 
           RowBox[{"FVec", "[", 
            RowBox[{"a", ",", "0", ",", "0", ",", "Zgrid"}], "]"}]}], "]"}]}],
         ";", 
        RowBox[{"(*", 
         RowBox[{"add", " ", "the", " ", "identity", " ", "operator"}], " ", 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"FullTable", "=", 
         RowBox[{"Prepend", "[", 
          RowBox[{"RedTable3", ",", 
           RowBox[{
            SuperscriptBox["eps", 
             RowBox[{"-", "1"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"FVec", "[", 
               RowBox[{"a", ",", 
                RowBox[{"gap", "+", "eps"}], ",", "0", ",", "Zgrid"}], "]"}], 
              "-", 
              RowBox[{"FVec", "[", 
               RowBox[{"a", ",", "gap", ",", "0", ",", "Zgrid"}], "]"}]}], 
             ")"}]}]}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"add", " ", "the", " ", "vector", " ", 
          SubscriptBox["D", "\[CapitalDelta]"], "F", " ", "at", " ", "the", 
          " ", "gap", " ", "for", " ", "normalization", " ", "purposes"}], 
         " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"FullTable", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"#", "/", 
             RowBox[{"FullTable", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "&"}], "/@", 
          "FullTable"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{
         "rescale", " ", "components", " ", "of", " ", "the", " ", "vectors", 
          " ", "vector", " ", "by", " ", "dividing", " ", "by", " ", "the", 
          " ", "previous", " ", 
          RowBox[{"one", "."}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"bvec", "=", 
         RowBox[{
          RowBox[{"{", "1", "}"}], "~", "Join", "~", 
          RowBox[{"Array", "[", 
           RowBox[{
            RowBox[{"0", "&"}], ",", 
            RowBox[{"Length", "[", "RedTable3", "]"}]}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"comps", "=", 
         RowBox[{"Length", "[", 
          RowBox[{"FullTable", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"costvec", "=", 
         RowBox[{"Array", "[", 
          RowBox[{
           RowBox[{"0", "&"}], ",", "comps"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"func", "=", 
         RowBox[{"Check", "[", 
          RowBox[{
           RowBox[{"LinearProgramming", "[", 
            RowBox[{"costvec", ",", 
             RowBox[{"FullTable", "*", "1."}], ",", "bvec", ",", "None"}], 
            "]"}], ",", "\"\<nofunc\>\""}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "func", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.703518217520111*^9, 3.703518369653354*^9}, {
   3.703518863963381*^9, 3.7035188749288416`*^9}, {3.7035189366811476`*^9, 
   3.7035189689045877`*^9}, {3.703519000341325*^9, 3.7035190102316017`*^9}, {
   3.703519108791933*^9, 3.703519110123003*^9}, {3.703519186882948*^9, 
   3.7035191944912663`*^9}, {3.7035192357160254`*^9, 
   3.7035192529730215`*^9}, {3.70352189182763*^9, 3.7035218984711695`*^9}, {
   3.703522961623454*^9, 3.703522966567097*^9}, 3.7035249057636776`*^9, {
   3.703524937953199*^9, 3.703524938240171*^9}, {3.7035251430843463`*^9, 
   3.703525143381357*^9}, {3.70352517686707*^9, 3.703525200972376*^9}, {
   3.703525280537258*^9, 3.703525328624729*^9}, 3.7035269194480324`*^9, {
   3.7035272108698063`*^9, 3.703527211423443*^9}, {3.703528509190218*^9, 
   3.7035285098328233`*^9}, {3.7035296282652855`*^9, 3.703529642705662*^9}, {
   3.703529709801299*^9, 3.7035297407889147`*^9}, {3.703529820760068*^9, 
   3.703529821862548*^9}, {3.7044779442177167`*^9, 3.7044780370751905`*^9}}],

Cell["\<\
This function runs the previous one many times (bissection) to find the \
optimal gap to some accuracy\
\>", "Text",
 CellChangeTimes->{{3.703500132362042*^9, 3.7035001336134443`*^9}, {
  3.7044780554542737`*^9, 3.70447806897477*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Bissect", "[", 
      RowBox[{
      "a_", ",", "llg_", ",", "uug_", ",", "cutoff_", ",", "Zgrid_", ",", 
       "tab_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"gap", ",", "lg", ",", "ug", ",", "func", ",", "goodfunc"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"lg", "=", 
         RowBox[{"Min", "[", 
          RowBox[{"llg", ",", "uug"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"ug", "=", 
         RowBox[{"Max", "[", 
          RowBox[{"llg", ",", "uug"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"goodfunc", "=", "\"\<None\>\""}], ";", "\[IndentingNewLine]", 
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"ug", "-", "lg"}], ">", "cutoff"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"gap", "=", 
            FractionBox[
             RowBox[{"lg", "+", "ug"}], "2"]}], ";", "\[IndentingNewLine]", 
           RowBox[{"func", "=", 
            RowBox[{"CheckFunctional", "[", 
             RowBox[{"a", ",", "gap", ",", "tab", ",", "Zgrid"}], "]"}]}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"func", "===", "\"\<nofunc\>\""}], ",", 
             RowBox[{"lg", "=", "gap"}], ",", 
             RowBox[{
              RowBox[{"ug", "=", "gap"}], ";", 
              RowBox[{"goodfunc", "=", "func"}]}]}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"SetPrecision", "[", 
            RowBox[{"ug", ",", "prec"}], "]"}], ",", 
           RowBox[{"SetPrecision", "[", 
            RowBox[{"lg", ",", "prec"}], "]"}], ",", "goodfunc"}], "}"}], 
         "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.70351839454419*^9, 3.7035184352025785`*^9}, {
  3.703518480432681*^9, 3.7035184878126755`*^9}, {3.7035190315037427`*^9, 
  3.703519032125577*^9}, {3.7035193054379992`*^9, 3.7035193335695477`*^9}, {
  3.703519368008505*^9, 3.7035195565956764`*^9}, {3.7035195894786716`*^9, 
  3.7035196408171515`*^9}, {3.703519674037825*^9, 3.7035196748132005`*^9}, {
  3.703519707027198*^9, 3.7035197072013993`*^9}, {3.703519747472353*^9, 
  3.703519777979781*^9}, {3.703519822377443*^9, 3.7035198289953656`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Loop", "Subsection",
 CellChangeTimes->{{3.7035198792249928`*^9, 3.7035198796219997`*^9}}],

Cell["\<\
Put everything together, do bissection for several values of the external \
dimension which is denoted \[OpenCurlyQuote]a\[CloseCurlyQuote].\
\>", "Text",
 CellChangeTimes->{{3.7044780791826863`*^9, 3.7044780961723747`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nmax", "=", "5"}], ";", 
  RowBox[{"prec", "=", "30"}], ";", 
  RowBox[{"LMax", "=", "8"}], ";", 
  RowBox[{"step", "=", 
   RowBox[{"1", "/", "10"}]}], ";", 
  RowBox[{"DMax", "=", "40"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Zgrid", "=", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{"r", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]]}]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{"r", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]]}]}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", 
         FractionBox["1", "nmax"], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          SuperscriptBox["10", 
           RowBox[{"-", "9"}]]}], ",", 
         FractionBox["1", "nmax"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Phi]", ",", "0", ",", 
         RowBox[{"\[Pi]", "-", 
          SuperscriptBox["10", 
           RowBox[{"-", "9"}]]}], ",", 
         FractionBox["\[Pi]", "nmax"]}], "}"}]}], "]"}], "//", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Zgrid2", "=", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "+", 
           RowBox[{"\[ImaginaryI]", " ", "i"}]}], ",", 
          RowBox[{"r", "-", 
           RowBox[{"\[ImaginaryI]", " ", "i"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           FractionBox["1", "nmax"]}], ",", 
          RowBox[{"1", "-", 
           SuperscriptBox["10", 
            RowBox[{"-", "9"}]]}], ",", 
          FractionBox["1", "nmax"]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", 
          RowBox[{"1", "-", 
           SuperscriptBox["10", 
            RowBox[{"-", "9"}]]}], ",", 
          FractionBox["1", "nmax"]}], "}"}]}], "]"}], "//", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dgrid", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[CapitalDelta]", ",", "L"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"L", ",", "0", ",", "LMax", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[CapitalDelta]", ",", 
        RowBox[{"L", "+", 
         SuperscriptBox["10", 
          RowBox[{"-", "3"}]]}], ",", "DMax", ",", "step"}], "}"}]}], "]"}], "//", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7035180802694683`*^9, 3.7035180821048565`*^9}, {
   3.7035185196630583`*^9, 3.7035186097683535`*^9}, {3.703518762563921*^9, 
   3.7035187648630495`*^9}, {3.703519350570327*^9, 3.703519352811423*^9}, {
   3.703520370626116*^9, 3.7035203757313995`*^9}, {3.7035205167300367`*^9, 
   3.703520519086255*^9}, {3.703521290150762*^9, 3.7035212953512416`*^9}, {
   3.703522016474374*^9, 3.7035220223816695`*^9}, {3.7035226895841084`*^9, 
   3.7035227778377657`*^9}, {3.7035234816822186`*^9, 3.703523482740777*^9}, {
   3.7035236135308743`*^9, 3.703523687382408*^9}, {3.703523745790533*^9, 
   3.703523748509062*^9}, {3.703523900093073*^9, 3.7035239001761327`*^9}, {
   3.703523999811685*^9, 3.703524003257128*^9}, {3.703524042514825*^9, 
   3.703524055358858*^9}, {3.7035241550534754`*^9, 3.703524173390585*^9}, {
   3.703524911440137*^9, 3.7035249183065357`*^9}, 3.7035250333516793`*^9, {
   3.703525947864654*^9, 3.7035259863798857`*^9}, {3.7035274071277285`*^9, 
   3.7035274158399267`*^9}, {3.7035280391189632`*^9, 
   3.7035281085029087`*^9}, {3.703528179492712*^9, 3.7035281958610287`*^9}, {
   3.703528819634641*^9, 3.7035288228417377`*^9}, {3.7035291645594015`*^9, 
   3.7035291645884266`*^9}, {3.703529231860735*^9, 3.703529235722478*^9}, {
   3.7035292880633397`*^9, 3.703529288168996*^9}, {3.7035293559931183`*^9, 
   3.703529383326949*^9}, {3.7035294940200377`*^9, 3.7035294940680723`*^9}, {
   3.7035295570830064`*^9, 3.703529557162943*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Dynamic", "[", "a", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "\"\<Making table...\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"maintab", "=", 
    RowBox[{"MakeTables", "[", 
     RowBox[{"Zgrid", ",", "Dgrid"}], "]"}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Do", " ", "it", " ", "once", " ", "and", " ", "for", " ", "all"}], ";", 
    " ", 
    RowBox[{
    "computes", " ", "blocks", " ", "and", " ", "crossed", " ", "blocks"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "\"\<Table done!\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"1", "/", "100"}]}], ",", 
    RowBox[{"a", "\[LessEqual]", 
     RowBox[{"2", "/", "10"}]}], ",", 
    RowBox[{"a", "+=", 
     RowBox[{"1", "/", "300"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Ftab", "=", 
      RowBox[{"ConvolveTable", "[", 
       RowBox[{"a", ",", "Zgrid", ",", "Dgrid", ",", "maintab"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"res", ",", 
       RowBox[{"Bissect", "[", 
        RowBox[{"a", ",", 
         RowBox[{"1", "/", "10"}], ",", "1.5", ",", 
         SuperscriptBox["10", 
          RowBox[{"-", "6"}]], ",", "Zgrid", ",", "Ftab"}], "]"}]}], "]"}], 
     ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQ/WVyveLz6a8df60RUwHRddEGhiD6W6sfmC73MbcC
0Xv+QGjrWZtdQbTXsr3uIHpNlUogiJ51riIKRE+r6ZwA1t/APQlEWzn2+70A
0tyW04NB9NLvj3JAtERibx6I3vRe//ZLID0p+j6YFtrq+xREl60pAtPRP8IC
X4HUn68A0+t8W56B6Dzb5WC68zoH42sg3ftBHUw7F97XAdH7/Pp0QXSEunsy
iE4MTQHTMzxaboPoz5/874DoaUwOr0D0pLxXb0G02FL3T2DzTiSDabNiW/03
QHpXWzyYPlKbGQWiZ+cXx4BoAEdcuok=
  "]],

Cell[BoxData[
 DynamicBox[ToBoxes[$CellContext`a, StandardForm],
  ImageSizeCache->{15., {0., 11.}}]], "Output",
 CellChangeTimes->{{3.7035203985057545`*^9, 3.703520401166047*^9}, 
   3.703520596783578*^9, 3.703521956033516*^9, 3.703522045204094*^9, 
   3.7035228322772655`*^9, 3.7035230021735144`*^9, {3.7035236791838665`*^9, 
   3.703523700148035*^9}, 3.703523751420824*^9, 3.7035238513740377`*^9, 
   3.70352390619304*^9, 3.7035242625996475`*^9, 3.7035249439728737`*^9, 
   3.703525087937359*^9, {3.703525164387384*^9, 3.7035252051934776`*^9}, 
   3.7035260285658445`*^9, 3.7035262852530127`*^9, 3.7035272247068696`*^9, 
   3.703527433600889*^9, 3.7035277890713177`*^9, 3.7035282209609604`*^9, 
   3.7035283059833517`*^9, 3.7035283705012336`*^9, 3.703528487520548*^9, 
   3.7035285249499393`*^9, 3.7035288345069675`*^9, {3.703529170271474*^9, 
   3.7035291876543355`*^9}, 3.7035292368726597`*^9, {3.7035292987533035`*^9, 
   3.7035293279194546`*^9}, {3.703529363483735*^9, 3.703529386289751*^9}, 
   3.703529496502847*^9, 3.703529558456249*^9, 3.7035296582156787`*^9, 
   3.7035297496786194`*^9, {3.7035298258145857`*^9, 3.7035298517236853`*^9}, 
   3.7035302158298416`*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Making table...\"\>"], "Print",
 CellChangeTimes->{
  3.70352283228327*^9, 3.703523002177015*^9, {3.703523679186871*^9, 
   3.7035237001510363`*^9}, 3.7035237514238234`*^9, 3.7035238513780403`*^9, 
   3.7035239061970434`*^9, 3.7035242626026487`*^9, 3.703524943975876*^9, 
   3.70352508794036*^9, {3.7035251643903866`*^9, 3.703525205196479*^9}, 
   3.703526028569846*^9, 3.703526285258013*^9, 3.7035272247108717`*^9, 
   3.7035274336048985`*^9, 3.7035277890753145`*^9, 3.70352822096496*^9, 
   3.7035283059863524`*^9, 3.7035283705042353`*^9, 3.703528487523546*^9, 
   3.7035285249519405`*^9, 3.7035288345104694`*^9, {3.703529170274476*^9, 
   3.703529187657337*^9}, 3.7035292368766627`*^9, {3.703529298757303*^9, 
   3.703529327923455*^9}, {3.703529363486737*^9, 3.703529386293753*^9}, 
   3.7035294965053473`*^9, 3.703529558459251*^9, 3.7035296582186794`*^9, 
   3.7035297496816206`*^9, {3.703529825817587*^9, 3.7035298517306905`*^9}, 
   3.7035302158343444`*^9}],

Cell[BoxData["\<\"Table done!\"\>"], "Print",
 CellChangeTimes->{
  3.70352283228327*^9, 3.703523002177015*^9, {3.703523679186871*^9, 
   3.7035237001510363`*^9}, 3.7035237514238234`*^9, 3.7035238513780403`*^9, 
   3.7035239061970434`*^9, 3.7035242626026487`*^9, 3.703524943975876*^9, 
   3.70352508794036*^9, {3.7035251643903866`*^9, 3.703525205196479*^9}, 
   3.703526028569846*^9, 3.703526285258013*^9, 3.7035272247108717`*^9, 
   3.7035274336048985`*^9, 3.7035277890753145`*^9, 3.70352822096496*^9, 
   3.7035283059863524`*^9, 3.7035283705042353`*^9, 3.703528487523546*^9, 
   3.7035285249519405`*^9, 3.7035288345104694`*^9, {3.703529170274476*^9, 
   3.703529187657337*^9}, 3.7035292368766627`*^9, {3.703529298757303*^9, 
   3.703529327923455*^9}, {3.703529363486737*^9, 3.703529386293753*^9}, 
   3.7035294965053473`*^9, 3.703529558459251*^9, 3.7035296582186794`*^9, 
   3.7035297496816206`*^9, {3.703529825817587*^9, 3.7035298517306905`*^9}, 
   3.7035302158683867`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LinearProgramming", "::", "lpsnf"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"No solution can be found that satisfies the constraints. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/LinearProgramming/lpsnf\
\\\", ButtonNote -> \\\"LinearProgramming::lpsnf\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{
  3.703529200430376*^9, 3.7035292453412323`*^9, {3.703529309609581*^9, 
   3.703529338727268*^9}, {3.7035293712460423`*^9, 3.703529396994588*^9}, 
   3.7035295042493334`*^9, 3.7035295692850976`*^9, 3.7035296688616123`*^9, 
   3.70352976019113*^9, {3.7035298369648547`*^9, 3.703529862854081*^9}, 
   3.703530227256506*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LinearProgramming", "::", "lpsnf"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"No solution can be found that satisfies the constraints. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/LinearProgramming/lpsnf\
\\\", ButtonNote -> \\\"LinearProgramming::lpsnf\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{
  3.703529200430376*^9, 3.7035292453412323`*^9, {3.703529309609581*^9, 
   3.703529338727268*^9}, {3.7035293712460423`*^9, 3.703529396994588*^9}, 
   3.7035295042493334`*^9, 3.7035295692850976`*^9, 3.7035296688616123`*^9, 
   3.70352976019113*^9, {3.7035298369648547`*^9, 3.703529862854081*^9}, 
   3.703530228046606*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LinearProgramming", "::", "lpsnf"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"No solution can be found that satisfies the constraints. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/LinearProgramming/lpsnf\
\\\", ButtonNote -> \\\"LinearProgramming::lpsnf\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{
  3.703529200430376*^9, 3.7035292453412323`*^9, {3.703529309609581*^9, 
   3.703529338727268*^9}, {3.7035293712460423`*^9, 3.703529396994588*^9}, 
   3.7035295042493334`*^9, 3.7035295692850976`*^9, 3.7035296688616123`*^9, 
   3.70352976019113*^9, {3.7035298369648547`*^9, 3.703529862854081*^9}, 
   3.703530229644786*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(LinearProgramming :: lpsnf\\), \\\"MessageName\
\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.703529200430376*^9, 3.7035292453412323`*^9, {3.703529309609581*^9, 
   3.703529338727268*^9}, {3.7035293712460423`*^9, 3.703529396994588*^9}, 
   3.7035295042493334`*^9, 3.7035295692850976`*^9, 3.7035296688616123`*^9, 
   3.70352976019113*^9, {3.7035298369648547`*^9, 3.703529862854081*^9}, 
   3.7035302296683226`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"sigs", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"a", ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "0.01", ",", "0.2", ",", 
       RowBox[{"1", "/", "300"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eps", "=", 
   RowBox[{"res", "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"sigs", ",", "eps"}], "}"}], "//", "Transpose"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotMarkers", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"Filling", "\[Rule]", "Bottom"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]\), \(\[Sigma]\)]\)\>\"", 
        ",", "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]\), \(\[Epsilon]\)]\)\>\
\""}], "}"}]}], ",", 
     RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
     RowBox[{"LabelStyle", "\[Rule]", "Large"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"pl", ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "8"}], ",", "1"}], "}"}], "]"}]}], "}"}], "]"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.703520215046754*^9, 3.7035202749682093`*^9}, {
  3.703520350576539*^9, 3.70352036052829*^9}, {3.703520405254768*^9, 
  3.7035204053133087`*^9}, {3.703530118114814*^9, 3.703530119637469*^9}, {
  3.7035302466903515`*^9, 3.703530275601572*^9}, {3.7035305288799043`*^9, 
  3.703530567125754*^9}, {3.7035312108019724`*^9, 3.703531214047357*^9}, {
  3.703531265489825*^9, 3.7035313000474453`*^9}, {3.703531335448127*^9, 
  3.7035313400507383`*^9}, {3.7035314405290093`*^9, 3.7035314436968107`*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, GraphicsComplexBox[CompressedData["
1:eJxNU11Ik2EU/qrZhVJQRmFS1EWhoZUuFkXxeBOCiWFRzSiEkRMv7AeEorIs
6qKkQg3LZOYfSmWrNcutNLe5X10mGlqCpqFmZe6/sER737P3wgPft+9857zn
PD/fNqpOH8xZLEnSHnbx34urtKmjF66DPUpTeicOxE42X80oxg65XP7BZMEK
ihKoWVxTuxDuv0f97kI7xtfsv6wbu0/9/27akUHnK/GwgkWDE4b1N35mGqqo
7nB3ink1dN6q7Ia9NDthxlaLbrfbfepLj5hfT/25J3uxvXxW5drWEMaX1if2
NdL8rJyP4T0Vj5HH8CWU9Qv8TwmvYssnyDSKnrwlz2ie685nGAmPlvbNbhjE
TlbVKF7QnK6IIYFPR+ctUcOYyuQMdLT/bNuIwPuS6n9lo6juW7o7v1oPjiKQ
/FXgb8Z7Nr936xgOU7wCS92adeOCz2van3R0ApEDdWf2RraE+URMCn4ttC+r
5Qfalf7iTe0GJDP8s8opwdeIB+z+e+QXCgZTGpcVvKH3f1KnBf+3xDf6+TTi
j9+1hOJa6Xz6ao/Qo43wPCr0YHiIRxvVV457hF/vwFJ92mYvyjjd0nbOJ33t
Ma/Qy0T93tte1DP0A3Um6u81e4V+ZtrfGvLiim6MMTLTPm28T+hpxiJJKnpy
wocsTk9p4XyLmkp8cJC+lEtGm4/myOUdlLtmfKghvcP5t0Q/lpMAVnQxfDKV
H5dIfyvhSSr34ztTI3bSyvWJUXf6cYT8sGFufn6+fs6PjlAcU8hGe3zJAeGP
nfsZsy83gCoul8bO+eobKwOIIr8c5H90TwDnz/Fw0LxbsqDwT9R3BXGIBHUS
37r8IEzkpxO5avVESm0QiUzd7AQXfQ+e/qDw10X8mqJCWPj/5LGwzuM/orW9
DA==
     "], {{{}, 
       {Hue[0.67, 0.6, 0.6], Opacity[0.2], EdgeForm[None], 
        GraphicsGroupBox[
         PolygonBox[{{1, 59, 60, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 
          47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 
          30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 
          13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2}}]]}, {}, {}}, {{}, {}, 
       {RGBColor[0.24720000000000014`, 0.24, 0.6], 
        LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
         18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
         35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 
         52, 53, 54, 55, 56, 57, 58}]}}, {
       {RGBColor[0.24720000000000014`, 0.24, 0.6], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 1], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 2], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 3], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 4], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 5], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 6], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 7], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 8], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 9], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 10], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 11], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 12], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 13], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 14], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 15], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 16], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 17], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 18], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 19], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 20], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 21], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 22], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 23], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 24], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 25], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 26], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 27], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 28], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 29], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 30], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 31], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 32], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 33], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 34], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 35], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 36], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 37], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 38], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 39], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 40], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 41], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 42], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 43], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 44], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 45], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 46], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 47], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 48], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 49], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 50], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 51], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 52], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 53], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 54], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 55], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 56], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 57], InsetBox[
         StyleBox["\<\"\[FilledCircle]\"\>",
          StripOnInput->False,
          FontSize->8.96], 58]}, {}}}], {}}, 
   {RGBColor[1, 0, 0], PointSize[Large], 
    PointBox[NCache[{Rational[1, 8], 1}, {0.125, 1}]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Frame->True,
  FrameLabel->{
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[CapitalDelta]\\), \\(\[Sigma]\\)]\\)\"", 
     TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[CapitalDelta]\\), \\(\[Epsilon]\\)]\\)\"", 
     TraditionalForm]},
  ImageSize->{911.818169857845, Automatic},
  LabelStyle->Large,
  Method->{},
  PlotRange->{{0, 0.2}, {0, 1.3153495788574219`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.004, 0.004}, {0.02630699157714844, 
   0.02630699157714844}},
  RotateLabel->False]], "Output",
 CellChangeTimes->{{3.7035311947915826`*^9, 3.703531214535491*^9}, {
   3.703531278934402*^9, 3.703531340700476*^9}, 3.703531444047495*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["t"], "Input",
 CellChangeTimes->{3.7035302537134175`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGAQAWIQXS2yzv1hVYs9kMnwZvMJewh/Cph/pvaY/Q651teB
O+bZmxgbGx8/cwoqvwTMT0+5ZD9rJgistM9MS0vTmXzNfidY/Tr7c2fOnPmj
cMseyAGKbASbV7j3AVT/FvuzQPlLek/sua4vLrDl2g42J5L1hT3YuJk77WcA
yW8P3tprxvQf+qqxx94IaJ+P2Huoe/bZA7mbvdQ+2C8B6r6++ACYf+ngB/s3
YPsO2jMyMDSsiv0Idqex8WGw/Sd/foTafwSs3nDaJ/vDXzWANhwFq/to9Nme
G+ye4/ZA76QJX/hsHwS28ATYvMW5X6D+PQk2bw33V3sAnyaTWQ==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Frame->True,
  FrameLabel->{None, None},
  ImageSize->{572.7272681165333, Automatic},
  Method->{},
  PlotRange->{{0, 0.2}, {0, 1.3153495788574219`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.004, 0.004}, {0.02630699157714844, 
   0.02630699157714844}}]], "Output",
 CellChangeTimes->{{3.703520352860975*^9, 3.7035203607993603`*^9}, 
   3.703521999244918*^9, 3.70352251898728*^9, 3.703523442450788*^9, 
   3.7035237279441195`*^9, 3.703523787102699*^9, 3.703523886502739*^9, {
   3.703527197244243*^9, 3.7035271975300074`*^9}, 3.7035275964247637`*^9, 
   3.7035287746685696`*^9, {3.703530153014967*^9, 3.703530153052498*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1902, 912},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.100000023841858,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 96, 1, 140, "Title"],
Cell[CellGroupData[{
Cell[700, 27, 97, 1, 66, "Subsection"],
Cell[800, 30, 148, 3, 47, "Text"],
Cell[951, 35, 4253, 110, 275, "Input"],
Cell[CellGroupData[{
Cell[5229, 149, 951, 30, 83, "Input"],
Cell[6183, 181, 1082, 21, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[7314, 208, 94, 1, 56, "Subsection"],
Cell[7411, 211, 163, 3, 47, "Text"],
Cell[7577, 216, 7367, 212, 823, "Input"],
Cell[14947, 430, 94, 1, 47, "Text"],
Cell[CellGroupData[{
Cell[15066, 435, 201, 5, 45, "Input"],
Cell[15270, 442, 460, 10, 69, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[15779, 458, 219, 3, 56, "Subsection"],
Cell[16001, 463, 229, 4, 47, "Text"],
Cell[16233, 469, 3070, 66, 453, "Input"],
Cell[19306, 537, 472, 14, 61, "Text"],
Cell[19781, 553, 2988, 80, 550, "Input"],
Cell[22772, 635, 170, 2, 45, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[22979, 642, 151, 2, 56, "Subsection"],
Cell[23133, 646, 207, 4, 47, "Text"],
Cell[23343, 652, 5926, 137, 757, "Input"],
Cell[29272, 791, 244, 5, 47, "Text"],
Cell[29519, 798, 2574, 58, 586, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[32130, 861, 96, 1, 56, "Subsection"],
Cell[32229, 864, 234, 4, 47, "Text"],
Cell[32466, 870, 4558, 114, 275, "Input"],
Cell[CellGroupData[{
Cell[37049, 988, 1940, 53, 349, "Input"],
Cell[38992, 1043, 1177, 17, 45, "Output"],
Cell[CellGroupData[{
Cell[40194, 1064, 981, 14, 33, "Print"],
Cell[41178, 1080, 977, 14, 33, "Print"]
}, Open  ]],
Cell[42170, 1097, 771, 15, 38, "Message"],
Cell[42944, 1114, 771, 15, 38, "Message"],
Cell[43718, 1131, 771, 15, 38, "Message"],
Cell[44492, 1148, 843, 16, 38, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45372, 1169, 2007, 50, 194, "Input"],
Cell[47382, 1221, 9502, 227, 666, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56921, 1453, 71, 1, 49, "Input"],
Cell[56995, 1456, 1226, 25, 477, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
